> For the complete documentation index, see [llms.txt](https://developers.myhubdelivery.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.myhubdelivery.io/orders/licenses/sign-up.md).

# Sign Up

## Registro de um novo merchant

<mark style="color:green;">`POST`</mark> `https://{account}.myhubdelivery.io/license-manager/api/v1/signup`

**Content-Type:** application/json

#### Headers

| Name          | Type   | Description                  |
| ------------- | ------ | ---------------------------- |
| Authorization | String | Bearer <\<OAuthBearerToken>> |

#### Request Body

| Name                                                | Type   | Description                                             |
| --------------------------------------------------- | ------ | ------------------------------------------------------- |
| document<mark style="color:red;">\*</mark>          | String | CNPJ do lojista                                         |
| email<mark style="color:red;">\*</mark>             | String | E-mail do lojista (Obrigatório para o Merchant Portal)  |
| name<mark style="color:red;">\*</mark>              | String | Nome fantasia do lojista                                |
| corporateName<mark style="color:red;">\*</mark>     | String | Razão Social do lojista                                 |
| phoneNumberMobile<mark style="color:red;">\*</mark> | String | Celular do lojista (Obrigatório para o Merchant Portal) |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "id": "1dbBjnBRmQ"
}
```

{% endtab %}

{% tab title="401: Unauthorized " %}

```javascript
{
    "type": "https://tools.ietf.org/html/rfc7235#section-3.1",
    "title": "Unauthorized",
    "status": 401,
    "traceId": "00-cd0c0257a67e9a3fe57dc8c160e01607-b5994934dd13d84f-01"
}
```

{% endtab %}

{% tab title="400: Bad Request " %}

```javascript
[
    { "code": 100, "message": "Document already exists" },
    { "code": 101, "message": "E-mails Empty" }
]
```

{% endtab %}
{% endtabs %}

{% hint style="success" %}
**Exemplo do conteúdo(body) da requisição**
{% endhint %}

```json
{
    "document": "17767999000100",
    "email": "signup@hubdelivery.com.br",
    "name": "Hub Delivery",
    "corporateName": "CBSD - COMPANHIA BRASILEIRA DE SOFTWARE PARA DELIVERY LTDA",
    "phoneNumberMobile": "11910588280",
    "type": "RESTAURANT|GROCERY"
}
```

{% hint style="info" %}
**Exemplo da requisição em formato CURL**
{% endhint %}

```
curl --location --request POST 'https://{account}.myhubdelivery.io/license-manager/api/v1/signup' \
--header 'Authorization: Bearer null' \
--header 'Content-Type: application/json' \
--data-raw '{
    "document": "17767999000100",
    "email": "signup@hubdelivery.com.br",
    "name": "Hub Delivery",
    "corporateName": "CBSD - COMPANHIA BRASILEIRA DE SOFTWARE PARA DELIVERY LTDA",
    "phoneNumberMobile": "11910588280",
    "type": "RESTAURANT|GROCERY"
}'
```

{% hint style="warning" %}
**Importante**
{% endhint %}

**Ao realizar o pré cadastro (SignUp) , é obrigatório a gravação do identificador gerado para as futuras iterações no ecossistema de apis e portal do merchant da Hub Delivery.**

**Após a realização do SignUp é recomendada uma nova autenticação para identificação dos merchants autorizados para a account.**


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.myhubdelivery.io/orders/licenses/sign-up.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
